Bug 194916 - building-products article has obsolete cvsup information
Summary: building-products article has obsolete cvsup information
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-09 23:14 UTC by Ed Maste
Modified: 2014-11-11 08:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2014-11-09 23:14:45 UTC
https://www.freebsd.org/doc/en/articles/building-products/article.html

The project makes it easy to mirror its CVS repository using CVSup. Having the complete history of the source is useful when debugging complex problems and offers valuable insight into the intentions of the original developers. ...

If nobody gets to this I hope to have a look in a week or two.
Comment 1 Jason Helfman freebsd_committer 2014-11-10 16:45:43 UTC
I was going to change this sometime ago, however was noted by clusteradm@ that we still do support cvsup as some businesses still rely on the service, and it hasn't been shutdown. This may no longer be the case, now, however it recently was still a service being provided.
Comment 2 Ed Maste freebsd_committer 2014-11-10 16:55:21 UTC
We should replace it with equivalent instructions for svn/p4/git though, since the general advice is still useful.

The SVN->CVS mirroring stopped some time ago so it hasn't been useful for a while. AFAICT all of the infrastructure is now gone.
Comment 3 commit-hook freebsd_committer 2014-11-11 08:02:03 UTC
A commit references this bug:

Author: jgh
Date: Tue Nov 11 08:01:42 UTC 2014
New revision: 45969
URL: https://svnweb.freebsd.org/changeset/doc/45969

Log:
  Update documentation now that CVSup service has been shutdown.

  PR:		194916
  Differential Revision:	https://reviews.freebsd.org/D1137
  Approved by:	emaste, remko (mentor)

Changes:
  head/en_US.ISO8859-1/articles/building-products/article.xml
Comment 4 Jason Helfman freebsd_committer 2014-11-11 08:08:28 UTC
Thanks for the report, and review!